Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.realmstat
Class RealmStatus

    java.lang.Object
      com.rsa.authagent.authapi.realmstat.RealmStatus

All Implemented Interfaces:
  java.io.Serializable

    public class RealmStatus

extends java.lang.Object
implements java.io.Serializable

Contains all the ACE/Serve configuration parameters and the statuses of all the replicas in the realm. This is the equivalent of the sdstatus.12 file.

See Also:
  Serialized Form

Field Summary
`static byte` | `DEFAULT_MAX_CURRENT_TIME_RESP`

Constructor Summary
`RealmStatus(DataDirectory dataDirectory)` Constructor for RealmStatus.

Method Summary
`AcmServerInfo` | `getAcmServer(int i)`
`AcmServerInfo[]` | `getAcmServers()`
`byte` | `getDefaultAliasOptions()`
`byte` | `getMaxCurrentTimeResp()`
`RealmConfig` | `getRealmConfig()`
`RealmOpts` | `getRealmOpts()`
`byte[]` | `getServerReleaseFromServer()`
`int` | `getStaticPriorities()`
`long` | `getUpdateTime()` Returns the time when the status in the data repository was last modified.
`void` | `readOpts(DataDirectory dataDirectory)`
`void` | `setAcmServers(AcmServerInfo[] acmServer)`
`void` | `setServerReleaseFromServer(byte[] serverReleaseFromServer)`
`java.lang.String` | `toString()`
`void` | `write()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_MAX_CURRENT_TIME_RESP

    public static final byte DEFAULT_MAX_CURRENT_TIME_RESP

See Also:
  Constant Field Values

Constructor Detail

### RealmStatus

    public RealmStatus(DataDirectory dataDirectory)

  Constructor for RealmStatus.

Method Detail

### readOpts

    public void readOpts(DataDirectory dataDirectory)

### write

    public void write()

### getUpdateTime

    public long getUpdateTime()

  Returns the time when the status in the data repository was last modified.

  Returns:
    the time.

### getRealmConfig

    public RealmConfig getRealmConfig()

  Returns:
    Returns the RealmConfig object.

### getRealmOpts

    public RealmOpts getRealmOpts()

  Returns:
    Returns the RealmOpts object.

### getAcmServers

    public AcmServerInfo[] getAcmServers()

  Returns:
    Returns the acmServers.

### getAcmServer

    public AcmServerInfo getAcmServer(int i)

  Returns:
    Returns the acmServers.

### getDefaultAliasOptions

    public byte getDefaultAliasOptions()

  Returns:
    Returns the defaultAliasOptions.

### getServerReleaseFromServer

    public byte[] getServerReleaseFromServer()

  Returns:
    Returns the serverReleaseFromServer.

### setServerReleaseFromServer

    public void setServerReleaseFromServer(byte[] serverReleaseFromServer)

  Parameters:
    `serverReleaseFromServer` - The serverReleaseFromServer to set.

### getMaxCurrentTimeResp

    public byte getMaxCurrentTimeResp()

  Returns:
    Returns the maxCurrentTimeResp.

### getStaticPriorities

    public int getStaticPriorities()

  Returns:
    Returns the staticPriorities.

### setAcmServers

    public void setAcmServers(AcmServerInfo[] acmServer)

  Parameters:
    `acmServer` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.